#version 450

//incoming data
layout(location = 0) in vec3 passTexCoord;

layout(set=0, binding=1) uniform textureCube cubeMapTexture;
layout(set=0, binding=2) uniform sampler cubeMapSampler;

layout(location = 0) out vec4 fragmentColor;
 
void main() {
	fragmentColor = texture(samplerCube(cubeMapTexture, cubeMapSampler), passTexCoord);
}
