# InstancingDemo
A demo project to show how to render meshes using instancing with the VkCV framework

![Screenshot of InstancingDemo](../../screenshots/InstancingDemo.png)

## Details

Recording many draw calls can be expensive for your GPU because each draw call has to manage a lot
of data to work properly. But in cases you want to render the same vertex data multiple times with
only slight variations, you can use instancing to save up resource cost.