# SSAO
A demo project to show how to use screen-space ambient occlusion with the VkCV framework

![Screenshot of SSAO](../../screenshots/SSAO.png)

## Details

Using rasterization for rendering has one huge drawback. We usually don't have proper indirect 
lighting. That also means that we don't get any ambient occlusion or indirect shadows for the 
rendered scene.

This project shows off a technique which utilizes deferred shading to calculate the amount of 
occlusion by other geometry for each pixel. The technique will only use information from the 
screen-space. So keep in mind it is limited in accuracy.