# CubeMapping
A demo project to show how to implement cube maps with the VkCV framework

![Screenshot of CubeMapping](../../screenshots/CubeMapping.png)

## Details

Cube maps can be used to create the illusion of a big environment, render a highly detailed sky 
around the camera or to create very efficient reflections on smooth surfaces.

The cube map texture will contain six different images which are stored on different layers of the
image resource in Vulkan. The shaders can later simply access the pixel data via a 3D directional
vector.