# NormalMapping
A demo project to show how to use normal maps with the VkCV framework

![Screenshot of NormalMapping](../../screenshots/NormalMapping.png)

## Details

Ideally we want to render highly detailed meshes with a GPU. But that can be very expensive in terms
of processing power. It is much more efficient to load such details like normal vectors from a
texture instead of using only interpolation between vertices to calculate them.

So we get a lot of visual details without many vertices actually processed. It is a great tradeoff 
between processing power and memory usage.